Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::LineOpt Class Reference

The LineOpt abstract class is used to perform one dimensional optimizations. More...

`#include <opt.h>`

Inheritance diagram for sc::LineOpt:

[legend]
Collaboration diagram for sc::LineOpt:

[legend]
List of all members.

## Public Methods
| LineOpt ()
| LineOpt (StateIn &)
| LineOpt (const Ref< KeyVal > &)
| ~LineOpt ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | apply_tranform (const Ref< NonlinearTransform > &)
void | set_search_direction (RefSCVector &)
## Protected Attributes
RefSCVector | search_direction_

## Detailed Description

The LineOpt abstract class is used to perform one dimensional optimizations.

## Member Function Documentation

void sc::LineOpt::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::Optimize.

The documentation for this class was generated from the following file:

- opt.h